LFR-FSW - Bug #703

R3+ : HK_LFR_LE_CNT is wrong for each HK after the first one
02/06/2016 12:31 PM - Veronique bouzid

Status: Closed Start date: 02/06/2016
Priority: High Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

En jouant le test /home/validation/SCRIPT/just_hk_survey.py on observe que a chaque HK, le compteur HK_LFR_LE_CNT
s'incremente de 1 alors qu'aucune nouvelle anomalie de ce niveau n'a été observé.

Voici la trace de ce que | on constate (extrait du fichier 2016_06_02-11_34_57-HKExtract.ixt)

1:34:29.291037, TM_LFR_HK, TIME=0x8000000248d8, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=1,
HK_LFR_ME_CNT=0, HK_LFR_LAST ER_RID:LE_LFR TIMEC = 42129, HK_LFR_LAST ER_CODE: MISSING = 21,
HK_LFR_LAST ER_TIME=0x800000022f2f, HK_LFR_DPU_SPW_TICK_OUT CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0,
HK_LFR_DPU_SPW_PARITY=0, HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0,
HK_LFR_DPU_SPW_CREDIT=0, HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0,
HK_LFR_DPU_SPW_TX_AHB=0, HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0,
HK_LFR_DPU_SPW_EEP=0, HK_LFR_DPU_SPW_RX_TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0,
HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0,
HK_LFR_TIME_NOT SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

11:34:30.290846, TM_LFR_HK, TIME=0x8000000348d6, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=2,
HK_LFR_ME_CNT=0, HK_LFR_LAST_ER_RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST_ER_CODE: MISSING = 21,
HK_LFR_LAST ER_TIME=0x800000022f2f, HK_LFR_DPU_SPW_TICK_OUT CNT=0, HK_LFR_DPU_SPW_LAST_ TIMC=0,
HK_LFR_DPU_SPW_PARITY=0, HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0,
HK_LFR_DPU_SPW_CREDIT=0, HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0,
HK_LFR_DPU_SPW_TX_AHB=0, HK_LFR_DPU_SPW_EARLY EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0,
HK_LFR_DPU_SPW_EEP=0, HK_LFR_DPU_SPW_RX_TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0,
HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0,
HK_LFR_TIME_NOT SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

11:34:31.290814, TM_LFR_HK, TIME=0x8000000448d6, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=3,
HK_LFR_ME_CNT=0, HK_LFR_LAST ER_RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST ER_CODE: MISSING = 21,
HK_LFR_LAST ER_TIME=0x800000022f2f, HK_LFR_DPU_SPW_TICK_OUT CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0,
HK_LFR_DPU_SPW_PARITY=0, HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW _ESCAPE=0,
HK_LFR_DPU_SPW_CREDIT=0, HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0,
HK_LFR_DPU_SPW_TX_AHB=0, HK_LFR_DPU_SPW_EARLY EOP=0, HK_LFR_DPU_SPW INVALID ADDR=0,
HK_LFR_DPU_SPW_EEP=0, HK_LFR_DPU_SPW_RX_TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0,
HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0,
HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

11:34:32.290893, TM_LFR_HK, TIME=0x8000000548d6, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=4,
HK_LFR_ME_CNT=0, HK_LFR_LAST ER_RID: LE_LFR TIMEC = 42129, HK_LFR_LAST ER_CODE: MISSING = 21,
HK_LFR_LAST ER_TIME=0x800000022f2f, HK_LFR_DPU_SPW_TICK_OUT CNT=0, HK_LFR_DPU_SPW _LAST TIMC=0,
HK_LFR_DPU_SPW_PARITY=0, HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0,
HK_LFR_DPU_SPW_CREDIT=0, HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0,
HK_LFR_DPU_SPW_TX_AHB=0, HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0,
HK_LFR_DPU_SPW_EEP=0, HK_LFR_DPU_SPW_RX_TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0,
HK_LFR_TIMECODE_MISSING=1, HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0,
HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

Les fichiers (2016_06_02-11_34_57*) se trouvent dans le répertoire
/home/validation/data/R3+/3.1.0.2/TESTS-UNITAIRES/just_hk.___

Contexte du test

FSW 3.1.0.2
VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+
StarDundee

History

#1 - 21/06/2016 10:00 PM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

J'ai changé la gestion du compteur, je fais a chaque fois la somme de toutes les LE et je mets ¢a dans le compteur.
A découvrir dans fsw >= 3.1.0.3.

#2 - 19/08/2016 11:11 AM - Veronique bouzid
- Status changed from Resolved to Feedback
- Assignee changed from Veronique bouzid to paul leroy

- Priority changed from Normal to High

Bug non corrigé en version 3.1.0.4
Les fichiers (2016_08_19-10_18_08*) sont rangés dans le répertoire /home/validation/data/R3+/3.1.0.4/TESTS-UNITAIRES/just_hk

Voici un extrait du fichier montrant le bug (/home/validation/data/R3+/3.1.0.4/TESTS-UNITAIRES/just_hk/2016_08_19-10_18_08-HKExtract.txt)
10:17:40.641073, TM_LFR_HK, TIME=0x8000000248be, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=1, HK_LFR_ME_CNT=0,
HK_LFR_LAST ER RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST ER_CODE: MISSING = 21, HK_LFR_LAST_ER_TIME=0x800000022f16,
HK_LFR_DPU_SPW_TICK_OUT_CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR_DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_ AHB=0, HK_LFR_DPU_SPW_TX AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP=0,

HK_LFR_DPU_SPW_RX _TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1,
HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

10:17:41.64089, TM_LFR_HK, TIME=0x8000000348bc, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=2, HK_LFR_ME_CNT=0,
HK_LFR_LAST_ER_RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST_ER_CODE: MISSING = 21, HK_LFR_LAST_ER_TIME=0x800000022f16,
HK_LFR_DPU_SPW_TICK_OUT_CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR_DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP=0,
HK_LFR_DPU_SPW_RX_TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1,
HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

10:17:42.640928, TM_LFR_HK, TIME=0x8000000448bc, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=3, HK_LFR_ME_CNT=0,
HK_LFR_LAST_ER_RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST_ER_CODE: MISSING = 21, HK_LFR_LAST_ER_TIME=0x800000022f16,
HK_LFR_DPU_SPW_TICK_OUT_CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR_DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP=0,
HK_LFR_DPU_SPW_RX_TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1,
HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

10:17:43.640926, TM_LFR_HK, TIME=0x8000000548bc, HK_LFR_UPDATE_TIME_TC_CNT=0, HK_LFR_LE_CNT=4, HK_LFR_ME_CNT=0,
HK_LFR_LAST_ER_RID: LE_LFR_TIMEC = 42129, HK_LFR_LAST_ER_CODE: MISSING = 21, HK_LFR_LAST_ER_TIME=0x800000022f16,
HK_LFR_DPU_SPW_TICK_OUT_CNT=0, HK_LFR_DPU_SPW_LAST TIMC=0, HK_LFR_DPU_SPW_PARITY=0,
HK_LFR_DPU_SPW_DISCONNECT=0, HK_LFR_DPU_SPW_ESCAPE=0, HK_LFR_DPU_SPW_CREDIT=0,
HK_LFR_DPU_SPW_WRITE_SYNC=0, HK_LFR_DPU_SPW_RX_AHB=0, HK_LFR_DPU_SPW_TX_AHB=0,
HK_LFR_DPU_SPW_EARLY_EOP=0, HK_LFR_DPU_SPW_INVALID_ADDR=0, HK_LFR_DPU_SPW_EEP=0,
HK_LFR_DPU_SPW_RX_TOO_BIG=0, HK_LFR_TIMECODE_ERRONEOUS=0, HK_LFR_TIMECODE_MISSING=1,
HK_LFR_TIMECODE_INVALID=0, HK_LFR_TIME_TIMECODE_IT=0, HK_LFR_TIME_NOT_SYNCHRO=0, HK_LFR_TIME_TIMECODE_CTR=0

#3 - 06/01/2017 10:17 AM - paul leroy
Je mets a jour la gestion des compteurs pour fsw >= 3.1.0.5. J'ai repris les fonctions de calcul.

A chaque génération de HK, les fonctions regardent si des valeurs de compteurs ont changé. Si oui, on incrément hk_Ifr_le_cnt et hk_Ifr_me_cnt en
conséquence.

J'ai lancé un petit test de mon c6té et ¢a a I'air de fonctionner. Au passage, on leve maintenant I'erreur hk_Ifr_dpu_spw_rx_too_big quand un packet
trop long est arrivé!
#4 - 06/01/2017 11:13 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

#5 - 17/01/2017 03:37 PM - Veronique bouzid
- Status changed from Feedback to Closed

Bug corrigé dans la version 3.1.0.6.

les fichiers (2017_01_17-15_05_46*) sont rangés dans le répertoire /home/validation/data/R3+/3.1.0.6/3.1.91/TESTS-UNITAIRES/just_hk.
Extrait de la premiere HK

15:05:16.719111, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=30, (PACKET_SEQUENCE_CONTROL=0xc01e),
PACKET_LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x80000020222¢c, PA_LFR_HK_REPORT_SID: LFR_HK_SID = 1, HK_LFR_MODE: STANDBY =0,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: ERROR_WAIT = 1, SPARE=0x0,
HK_LFR_SC_POTENTIEL_FLAG: ON = 1, HK_LFR_PAS_FILTER_ENABLED: DISABLED = 0, SY_LFR_WATCHDOG_ENABLED: ENABLED = 1,
HK_LFR_CALIB_ENABLED: DISABLED = 0, HK_LFR_RESET_CAUSE: POWER_ON =1, SY_LFR_SW_VERSION_N1=3,

SY_LFR SW_VERSION N2=1, SY LFR_SW_VERSION N3=0, SY LFR_SW_VERSION_N4=6, SY LFR FPGA VERSION_N1=3,
SY_LFR_FPGA_VERSION_N2=1, SY_LFR_FPGA_VERSION_N3=91, HK_LFR_LE_CNT=1,

Extrait de la derniere HK

15:05:46.39792, TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0, DATA_FIELD HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4, (PACKET_ID=0xcc4),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=60, (PACKET_SEQUENCE_CONTROL=0xc03c),
PACKET_LENGTH=129, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE: HK_PARAMETER_REPORT = 25, DESTINATION_ID:
GROUND = 0, TIME=0x8000003e222¢c, PA_LFR_HK_REPORT_SID: LFR_HK_SID =1, HK_LFR_MODE: STANDBY =0,
HK_LFR_DPU_SPW_ENABLED: ENABLED = 1, HK_LFR_DPU_SPW_LINK_STATE: ERROR_WAIT = 1, SPARE=0x0,
HK_LFR_SC_POTENTIEL_FLAG: ON =1, HK_LFR_PAS_FILTER_ENABLED: DISABLED =0, SY_LFR_WATCHDOG_ENABLED: ENABLED =1,
HK_LFR_CALIB_ENABLED: DISABLED =0, HK_LFR_RESET_CAUSE: POWER _ON =1, SY_LFR_SW_VERSION_N1=3,
SY_LFR_SW_VERSION_N2=1, SY_LFR_SW_VERSION_N3=0, SY_LFR_SW_VERSION_N4=6, SY_LFR_FPGA_VERSION_N1=3,
SY_LFR_FPGA_VERSION_N2=1, SY_LFR_FPGA_VERSION_N3=91, HK_LFR_LE_CNT=1,
